Pricing Locations
Get a list of pricing locations with optional filtering by ISOs, zones, zone types and a search term.
Args: params: Query parameters for filtering pricing locations sort_column: Column to sort by. sort_order: Sort order - 'asc' or 'desc'.
API key for authentication (query)
Optional search term to filter locations by name
Comma-separated list of market IDs to filter by
Comma-separated list of zones to filter by
Comma-separated list of statuses to filter by
Comma-separated list of location types to filter by
Filter by whether locations have geographic data
API key for authentication (header)
Successful Response
Response from get_items_and_facets containing items, total count, and facets.
Validation Error
GET /v1/pricing_locations HTTP/1.1
Host: api.gridstatus.io
Accept: */*
{
"items": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
],
"total_items": 1,
"facets": {
"ANY_ADDITIONAL_PROPERTY": [
{
"ANY_ADDITIONAL_PROPERTY": "anything"
}
]
}
}Get a list of pricing locations near the provided latitude/longitude or gs_entity_id. User must provide either latitude and longitude or a gs_entity_id, but not both.
API key for authentication (query)
20The latitude of the location to search
The longitude of the location to search
The GS entity ID of the location to search
API key for authentication (header)
Successful Response
Validation Error
GET /v1/pricing_locations/nearby HTTP/1.1
Host: api.gridstatus.io
Accept: */*
[
{
"gs_entity_id": "text",
"location": "text",
"market_id": "text",
"distance_in_miles": 1
}
]Get data for a specific pricing location by its ID.
Name of the pricing location to query
API key for authentication (query)
API key for authentication (header)
Successful Response
Validation Error
GET /v1/pricing_locations/{gs_entity_id} HTTP/1.1
Host: api.gridstatus.io
Accept: */*
{
"gs_entity_id": "text",
"location": "text",
"location_type": "text",
"market_id": "text",
"baa": "text",
"zone": "text",
"zone_type": "text",
"latitude": 1,
"longitude": 1,
"pricing_datasets": [
"text"
],
"earliest_seen_utc": "2026-01-01T00:00:00.000Z",
"latest_seen_utc": "2026-01-01T00:00:00.000Z",
"status_threshold_days": 1,
"status": "text"
}Last updated
Was this helpful?

